From 04c4fb3608ece1b80bbd86c6e9692da06f1c61b3 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 6 Jan 2023 11:17:49 -0600
Subject: [PATCH 8/9] doc review: v16: Add USER SET parameter values for
 pg_db_role_setting

096dd80f3ccc103c8e078fca05e6ccfb2071aa91
---
 doc/src/sgml/ref/alter_database.sgml | 6 +++---
 doc/src/sgml/ref/alter_role.sgml     | 6 +++---
 doc/src/sgml/ref/psql-ref.sgml       | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/doc/src/sgml/ref/alter_database.sgml b/doc/src/sgml/ref/alter_database.sgml
index 181e9d36205..0962f32e134 100644
--- a/doc/src/sgml/ref/alter_database.sgml
+++ b/doc/src/sgml/ref/alter_database.sgml
@@ -211,9 +211,9 @@ ALTER DATABASE <replaceable class="parameter">name</replaceable> RESET ALL
       <term><literal>USER SET</literal></term>
       <listitem>
        <para>
-        Specifies that variable should be set on behalf of ordinary role.
-        That lets non-superuser and non-replication role to set placeholder
-        variables, with permission requirements is not known yet;
+        Specifies that the variable should be set on behalf of an ordinary role.
+        That allows non-superuser and non-replication roles to set placeholder
+        variables, whose permission requirements are not known yet;
         see <xref linkend="runtime-config-custom"/>. The variable won't
         be set if it appears to require superuser privileges.
        </para>
diff --git a/doc/src/sgml/ref/alter_role.sgml b/doc/src/sgml/ref/alter_role.sgml
index f5c1264942f..d7c5e8debce 100644
--- a/doc/src/sgml/ref/alter_role.sgml
+++ b/doc/src/sgml/ref/alter_role.sgml
@@ -239,9 +239,9 @@ ALTER ROLE { <replaceable class="parameter">role_specification</replaceable> | A
       <term><literal>USER SET</literal></term>
       <listitem>
        <para>
-        Specifies that variable should be set on behalf of ordinary role.
-        That lets non-superuser and non-replication role to set placeholder
-        variables, with permission requirements is not known yet;
+        Specifies that the variable should be set on behalf of an ordinary role.
+        That allows non-superuser and non-replication roles to set placeholder
+        variables, whose permission requirements are not known yet;
         see <xref linkend="runtime-config-custom"/>. The variable won't
         be set if it appears to require superuser privileges.
        </para>
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 1a117dbecba..dc6528dc11d 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1901,8 +1901,8 @@ INSERT INTO tbl1 VALUES ($1, $2) \bind 'first value' 'second value' \g
         </para>
 
         <para>
-        Since <productname>PostgreSQL</productname> 16 the output includes
-        column with the values of
+        Since <productname>PostgreSQL</productname> 16, the output includes a
+        column with the values of the
         <link linkend="sql-alterrole-user-set"><literal>USER SET</literal></link>
         flag for each setting.
         </para>
-- 
2.25.1

